X-Git-Url: http://git.tuxfamily.org/sawfish/main.git?p=sawfish%2Fmain.git;p=sawfish%2Fmain.git;a=blobdiff_plain;f=src%2Fwindows.c;h=053b95a9933b04a99301b300a5477e2ce3329cbd;hp=c6117e778ad157f9868c431efa934964b88897fd;hb=798c6992cc41f5ca7ec1bd4bd74d721a59820897;hpb=ec807ed20eecb401c3e11b3b04d375fc848ca4c1

diff --git a/src/windows.c b/src/windows.c
index c6117e7..053b95a 100644
--- a/src/windows.c
+++ b/src/windows.c
@@ -1297,6 +1297,13 @@ associated with WINDOW. Possible keys in the alist are `min-height',
     hints = &VWIN(win)->hints;
     flags = hints->flags;
 
+    /* workaround stuff like Firefox 17 that
+     * has enormous max-width/maxh-height */
+    if (hints->max_width >= 32767)
+	    hints->max_width = 32767;
+    if (hints->max_height >= 32767)
+	    hints->max_height = 32767;
+
     /* Some sanity checking */
     if ((flags & PMinSize) 
 	&& (hints->min_width < 0 || hints->min_height < 0))
